//Config is created for Sync. If you need it request it from Sync.
//Do not create new instance, only one sync per one sync device!
var Config = function(){

    //DEMO OR SYNC MODE?
    //var demomode = false;
    var demomode = true;
    //Path to the rocket xml file
    var rocketXML = 'demo.rocket';

    //MUSIC RELATED VARIABLES

    //audio paht
    var audioPath = 'bin/reivaava-gootti.wav';

    //video path
    var videoPath = 'bin/videot/';
    //Video files that are used as resources
    //fileName is the file name with it's file extension
    //id is the id that will be set to the HTML video element
    var videoFiles = [
    ];

    //Beats per minute
    var bpm = 180;
    //beats per row
    var bpr  = 4;
    //row rate
    var rr = bpm/60*bpr;
    //current row
    var row = 0;

    return {
        getBeatsPerMinute : function(){
            return bpm;
        },

        getBeatsPerRow : function(){
            return pbr;
        },

        getRowRate : function(){
            return rr;
        },

        getRow: function(){
            return row;
        },

        setRow : function(r){
            row = r;
        },

        isDemoMode : function(){
            return demomode;
        },

        getXML : function(){
            return rocketXML;
        },

        getAudioPath : function(){
            return audioPath;
        },

        getVideoPath : function(){
            return videoPath;
        },

        getVideoFiles : function(){
            return videoFiles;
        }
    };
};
